Botan 1.10.17

Namespaces | Macros
x509_ext.cpp File Reference
`#include <botan/x509_ext.h>`
`#include <botan/sha160.h>`
`#include <botan/der_enc.h>`
`#include <botan/ber_dec.h>`
`#include <botan/oids.h>`
`#include <botan/internal/bit_ops.h>`
`#include <algorithm>`
`#include <memory>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::Cert_Extension

## Macros
#define | X509_EXTENSION(NAME, TYPE)

## Macro Definition Documentation

## ◆ X509_EXTENSION

#define X509_EXTENSION | ( |  | NAME,
|  |  | TYPE
| ) |  |

Value:
if(OIDS::name_of(oid, NAME)) \
return new Cert_Extension::TYPE();
Botan::OIDS::name_of
bool name_of(const OID &oid, const std::string &name)
Definition: oids.cpp:69
oid
OID oid
Definition: x509_ext.cpp:446

## Variable Documentation

## ◆ oid

OID oid

Definition at line 446 of file x509_ext.cpp.

Referenced by Botan::X509_DN::add_attribute(), Botan::X509_Cert_Options::add_ex_constraint(), Botan::OIDS::add_oid(), Botan::AlternativeName::add_othername(), Botan::X509_DN::decode_from(), Botan::Extensions::decode_from(), Botan::AlternativeName::decode_from(), Botan::X509_DN::get_attribute(), Botan::EC_Group::get_oid(), Botan::OIDS::lookup(), Botan::OIDS::name_of(), Botan::operator+(), Botan::OID::operator==(), Botan::parse_asn1_oid(), Botan::X509_Certificate::to_string(), and Botan::X942_PRF::X942_PRF().